<template>
    <el-container style="padding: 40px 15%;">
        <!-- <el-card></el-card> -->
        <el-card style="width: 100%;min-height: 600px;" >
            <el-tabs  class="demo-tabs">
                <el-tab-pane id="sea-book">
                <template #label >
                    <span class="custom-tabs-label">
                    <el-icon><Search /></el-icon>
                    <span>搜索书籍</span>
                    </span>
                </template>
                <!-- 搜索书籍页面 -->
                <!-- <el-container style="width: 100%;"> -->
                    <!-- <div>(输入图书isbn号以获取图书信息)</div> -->
                    <div class="b-form1">
                <el-row class="inp-form">
                    <!-- <el-col :span="2"></el-col> -->
                    <el-col :span="7" class="b-inp">
                        <el-input v-model="input" placeholder="请输入国际书号(isbn)" />
                    </el-col>
                    <el-col :span="3">
                        <el-button type="primary">搜索</el-button>
                    </el-col>
                </el-row>
                <el-row>
                    <el-col :span="12" >
                    <div class="book-list">
                        <div>
                        <el-image style="width: 120px;" :src="datas[0].img" :fit="fit" />
                    </div>
                        <div class="b-cont">
                        <div class="b-title">{{datas[0].title }}</div>
                        <div class="b-author">{{datas[0].author }}</div>
                        <div class="keyw">{{datas[0].keyword }}</div>
                        </div>
                        
                    </div>
                    </el-col>
                    <el-col :span="12" >
                    <div class="book-list">
                        <div>
                        <el-image style="width: 120px;" :src="datas[0].img" :fit="fit" />
                    </div>
                        <div class="b-cont">
                        <div class="b-title">{{datas[0].title }}</div>
                        <div class="b-author">{{datas[0].author }}</div>
                        <div class="keyw">{{datas[0].keyword }}</div>
                        </div>
                        
                    </div>
                    </el-col>
                    
                    
                </el-row>
            </div>
            <!-- </el-container> -->
                </el-tab-pane>
                <el-tab-pane id="coll-book">
                <template #label >
                    <span class="custom-tabs-label">
                    <el-icon><Star /></el-icon>
                    <span>我的收藏</span>
                    </span>
                </template>
                <!-- 收藏书籍页面 -->
                <div class="b-form2">
                <el-row>
                    <el-col :span="12" >
                    <div class="book-list">
                        <div>
                        <el-image style="width: 120px;" :src="datas[0].img" :fit="fit" />
                    </div>
                        <div class="b-cont">
                        <div class="b-title">{{datas[0].title }}</div>
                        <div class="b-author">{{datas[0].author }}</div>
                        <div class="keyw">{{datas[0].keyword }}</div>
                        </div>
                        
                    </div>
                    </el-col>
                    <el-col :span="12" >
                    <div class="book-list">
                        <div>
                        <el-image style="width: 120px;" :src="datas[0].img" :fit="fit" />
                    </div>
                        <div class="b-cont">
                        <div class="b-title">{{datas[0].title }}</div>
                        <div class="b-author">{{datas[0].author }}</div>
                        <div class="keyw">{{datas[0].keyword }}</div>
                        </div>
                        
                    </div>
                    </el-col>
                </el-row>
            </div>
                </el-tab-pane>
            </el-tabs>
        </el-card>
    </el-container>
</template>
<script >
import { defineComponent } from 'vue';
import { reactive, ref } from 'vue';
import upFlie from '../../components/upFile.vue'
import upVideo from '../../components/upVideo.vue'
import repSelect from '../../components/repSelect.vue'
export default {
    components:{
        upFlie,
        upVideo,
        repSelect
    },
    setup() {
        const lunBoList = [
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
        ];
        const datas =reactive([
            {
       
          "series": "",
          "title": "解忧杂货店",
          "author": "(日) 东野圭吾著 ; 李盈春译",
          "publisher": "南海出版社",
          "pubdate": "2014-05-01",
          "pubplace": "海口",
          "isbn": "9787544270878",
          "isbn10": "7544270874",
          "price": 39.5,
          "genus": "I313.45",
          "levelnum": "8.5",
          "heatnum": 3833808,
          "format": "32开",
          "binding": "平装",
          "page": "291",
          "wordnum": "218000",
          "edition": "1版",
          "yinci": "1",
          "paper": "胶版纸",
          "language": "简体中文",
          "keyword": "|[日]东野圭吾|畅销小说前20榜单|长篇小说|日本|现代",
          "img": "https://img.maimiaobook.com/cover/A26GR93187.jpg?x-oss-process=style/yuantu",
          "smallimg": "https://img.maimiaobook.com/cover/A26GR93187.jpg?x-oss-process=style/suolvetu",
          "bookcatalog": "第一章 回答在牛奶箱里 \\n第二章 深夜的口琴声 \\n第三章 在思域车上等到天亮 \\n第四章 听着披头士默祷 \\n第五章 来自天上的祈祷",
          "gist": "现代人内心流失的东西，这家杂货店能帮你找回僻静的街道旁有一家杂货店，只要写下烦恼投进卷帘门的投信口，第二天就会在店后的牛奶箱里得到回答。因男友身患绝症，年轻女孩静子在爱情与梦想间徘徊；克郎为了音乐梦想离家漂泊，却在现实中寸步难行；少年浩介面临家庭巨变，挣扎在亲情与未来的迷茫中他们将困惑写成信投进杂货店，随即奇妙的事情竟不断发生。生命中的一次偶然交会，将如何演绎出截然不同的人生？如今回顾写作过程，我发现自己始终在思考一个问题：站在人生的岔路口，人究竟应该怎么做？我希望读者能在掩卷时喃喃自语：我从未读过这样的小说。东野圭吾",
          "ciptxt": "解忧杂货店 / (日) 东野圭吾著 ; 李盈春译. -- 海 口 : 南海出版公司, 2014.5      ISBN 978-7-5442-7087-8       Ⅰ. ①解… Ⅱ. ①东… ②李… Ⅲ. ①长篇小说－日 本－现代 Ⅳ. ①I313.45       中国版本图书馆CIP数据核字(2014)第061528号",
          "annotation": "",
          "subject": "",
          "page_format": "",
          "publisher_pubdate": "",
          "title_author": "",
          "batch": "",
          "produce": ""
        
      }
    ])
        return {
                lunBoList,
                datas,
            }
    },
        
    
}
</script>
<style lang="less" scoped>
.custom-tabs-label{
        padding-left: 20px;
        margin-bottom: 10px;
        width: 200px;
        font-size: 20px;
        height: 30px;
    } 
 .b-form1,.b-form2{
    padding: 20px 0;
    .inp-form{
        padding-bottom: 10px;
        .b-inp{
            margin-right: 10px;
        }
        .el-input,.el-button{
            height: 40px;
        }
    }

    .book-list{
            padding: 10px 0;
            display: flex;
            .b-cont{
                div{
                    padding: 10px;
                }
                .b-title{
                    font-size: 20px;
                    font-weight: 600;
                }
                .b-title:hover{
                    color: brown;
                }
                .b-author{
                    color: #999;
                }
            }
        }
 }
</style>